We plan to go to SAP release ECC 6.0. Is anything special to be considered concerning our GuiXT scripts?

There are no script changes required for ECC 6.0. We suggest you use SAP GUI 7.20 PL7 and GuiXT 2011 Q2 1, or upwards, in conjunction with ECC 6.0.